%define upstream_name    Test-Requires
%define upstream_version 0.08

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

Summary:	Checks to see if the module can be loaded

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build)
BuildRequires:	perl(Test::More)
BuildRequires:	perl-devel

BuildArch:	noarch

%description
Test::Requires checks to see if the module can be loaded.

If this fails rather than failing tests this *skips all tests*.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc  META.yml Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Sep 26 2014 dsilakov <denis.silakov@rosalab.ru> 0.80.0-1
+ Revision: d1cc94c
- Merge pull request #2 from import/perl-Test-Requires:auto_update
- ROSA Updates Builder: update suggested


